<c:loadContent> | Standard JET2 Control Tags
--- | ---

loadContent

Extends the model by parsing its contents as XML.

Tag Summary
required | <c:loadContent var="value"> content consumed by tag evaluation </c:loadContent>
full tag | <c:loadContent var="value" type="value" loader="value"> content consumed by tag evaluation </c:loadContent>

Required Attributes
var | A name to associate with the document root of the DOM created by the parse. Subsequent template tags can use this name in query expressions to access the data in this DOM.

Optional Attributes
type | A content type with which to search for an appropriate loader for the content. Defaults to "xml" if null.
loader | The id of a specific loader which will parse the content and build a model.

Example
| <%-- Load an in memory XML document. $myXML is the document root, $myXML/root is the root element --%> <c:loadContent var="myXML"> <root> <a name="one"/> <a name="two"/> </root> </c:loadContent>